##### GENERAL STUFF #####
%define name 	smc
%define version	1.3
%define release	%mkrel 1
%define summary	Secret Maryo Chronicles

Name:		%{name}
Summary:	%{summary}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.secretmaryo.org/
Group:		Games/Arcade
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	automake1.8
BuildRequires:	SDL_image-devel SDL_mixer-devel SDL_ttf-devel
BuildRequires:	CEGUI-devel boost-devel mesaglu-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


##### DESCRIPTION #####
%description
Secret Maryo Chronicles is an Open Source 2D platform game with
a style designed similar to classic sidescroller games.
It's a homage to Nintendo's classic SNES Mario games.

The game uses OpenGL for graphics acceleration.

Authors: FluXy <fluxey@gmail.com>


##### PREP #####
%prep
%setup -q


##### BUILD #####
%build
sh autogen.sh
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make


##### INSTALL #####
%install
rm -rf %buildroot
%makeinstall_std

# Creation of *.desktop-file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop  <<EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=%{summary}GenericName=Arcade Game
Comment=Super Mario Reloaded
Icon=%{name}.png
Exec=%{name}
Terminal=false
StartupNotify=false
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

# Icons for rpmlint
mkdir -p %{buildroot}/{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
convert -scale 16x16 ./data/icon/window_32.png %{buildroot}/%{_miconsdir}/%{name}.png
convert -scale 32x32 ./data/icon/window_32.png %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 48x48 ./data/icon/window_32.png %{buildroot}/%{_liconsdir}/%{name}.png

%post
%update_menus%postun
%clean_menus

%clean
rm -rf %{buildroot}


##### FILE LIST #####
%files
%defattr(-,root,root)

%doc docs/*.txt
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*


##### CHANGELOG #####
%changelog
* Sun Dec 16 2007 Oliver Burger <rpm@mandrivauser.de> 1.3-1mud2008.0
- Rebuild for MUde
- Thanks to MadMax

* Sat Dec 08 2007 MaxiPunkt <email@domain.de> 1.3-2max
- New Version

* Tue Aug 14 2007 MaxiPunkt <email@domain.de> 1.0-2max
- Fixed BuildRequires

* Sun Jul 29 2007 MaxiPunkt <email@domain.de> 1.0-1max
- First built for Mandriva